%define enable_bonobo 0

Summary:	A full-featured spreadsheet for GNOME.
Name:     	gnumeric
Version: 	0.61
Release:	10a
Epoch:		1
Copyright:	GPL
Group:		Applications/Productivity
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnumeric/gnumeric-%{version}.tar.gz
Source10:	gnumeric-0.61-ja.po
URL:		http://www.gnome.org/gnumeric/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Patch1:         gnumeric-0.54-staticole2.patch
Patch2:		gnumeric-0.61-mb.patch
Patch3:		gnumeric-0.61-excel95-ja.patch

Requires:	gnome-libs >= 1.0.53
Requires:	libglade >= 0.13
Requires:	guile >= 1.3
Requires:	gnome-print >= 0.20
Requires:	gtk+ >= 1.2.7

BuildPrereq: gnome-libs-devel >= 1.0.53
BuildPrereq: guile-devel >= 1.3
BuildPrereq: gnome-print-devel >= 0.20
BuildPrereq: libglade-devel >= 0.13
BuildPrereq: libole2-devel >= 0.1.7

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. Gnumeric is a spreadsheet
program for GNOME. This program is intended to be a replacement for a
commercial spreadsheet, so quite a bit of work has gone into the
program.

Install gnumeric if you want to use a spreadsheet program with GNOME.

%package devel
Summary: Files necessary to develop gnumeric-based applications.
Group: Development/Libraries

%description devel
The gnumeric-devel package includes files necessary to develop gnumeric-based
applications.

Install gnumeric-devel if you want to develop programs which will use gnumeric.

%prep
%setup -q
cp %{SOURCE10} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/po/ja.po

%patch2 -p1 -b .mb
%patch3 -p1 -b .excel95-ja

%build
# like libtoolize, but different
%ifarch s390 s390x
for file in config.sub config.guess ; do
  for place in `find . -type f -name $file` ; do
     cp -f /usr/share/libtool/$file $place
  done
done
%endif

export OLD_PO_FILE_INPUT=yes
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
		--sysconfdir=%{_sysconfdir} \
		--without-bonobo --without-gb
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install
if [ -f /usr/lib/rpm/find-lang.sh ] ; then
 /usr/lib/rpm/find-lang.sh $RPM_BUILD_ROOT %name
# sed "s:(644, root, root, 755):(444, bin, bin, 555):" %{name}.lang \
# >tmp.lang && mv tmp.lang %{name}.lang
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang

%defattr (0755, root, root)
%{_prefix}/bin/gnumeric
%{_prefix}/lib/gnumeric/%{version}/plugins/*.so
%{_prefix}/share/gnumeric/%{version}/python/*

%defattr (0644, root, root, 0755)
%doc HACKING AUTHORS ChangeLog NEWS BUGS README COPYING TODO
%config %{_sysconfdir}/CORBA/servers/gnumeric.gnorba
%{_prefix}/share/gnome/help/gnumeric
%{_prefix}/share/gnome/ui/gnumeric.xml
%config %{_prefix}/share/gnome/apps/Applications/gnumeric.desktop
%{_prefix}/share/pixmaps/gnumeric
%{_prefix}/share/pixmaps/gnome-application-x-gnumeric.png
%{_prefix}/share/pixmaps/gnome-application-x-xls.png
%{_prefix}/share/pixmaps/gnome-gnumeric.png
%dir %{_prefix}/share/gnumeric
%dir %{_prefix}/share/gnumeric/%{version} 
%{_prefix}/share/gnumeric/%{version}/glade
%{_prefix}/share/gnumeric/%{version}/templates
%{_prefix}/share/gnumeric/%{version}/autoformat-templates
%{_prefix}/share/mime-info/gnumeric.keys
%{_prefix}/share/mime-info/gnumeric.mime
%{_prefix}/share/mc/templates/gnumeric.desktop
%if 0
%{_prefix}/share/oaf/gnumeric.oafinfo
%endif

%files devel
%defattr (-, root, root)
%{_prefix}/lib/gnumericConf.sh
%dir %{_prefix}/share/gnumeric
%dir %{_prefix}/share/gnumeric/%{version} 
%{_prefix}/share/gnumeric/%{version}/idl/*.idl
%dir %{_prefix}/lib/gnumeric
%dir %{_prefix}/lib/gnumeric/%{version}
%dir %{_prefix}/lib/gnumeric/%{version}/plugins
%{_prefix}/lib/gnumeric/%{version}/plugins/*.la

%changelog
* Fri May  4 2001 Oliver Paukstadt <oliver.paukstadt@millenux.com>
- ported to IBM zSeries (s390x, 64 bit)

* Fri Mar  9 2001 Akira TAGOH <tagoh@redhat.com> 0.61-9
- Fixed read excel95's .xls for Japanese.

* Fri Feb 23 2001 Akira TAGOH <tagoh@rehdat.com> 0.61-8
- Fixed jp patch with gnome-print.

* Mon Feb 19 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed jp patch.

* Thu Feb 08 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix about Japanese translation (ja.po)

* Wed Feb 07 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update Japanese translation.

* Tue Feb 06 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese patch.
- Updated Japanese translation.
  Note: Please remove Source10 when the next upstream release.

* Thu Jan 18 2001 Matt Wilson <msw@redhat.com>
- don't use bin:bin for files in devel.

* Wed Jan 03 2001 Preston Brown <pbrown@redhat.com>
- standard file and directory modes/ownership

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- use rpm > 3.0.5 macros
- 0.61

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Tue Jul 18 2000 Owen Taylor <otaylor@redhat.com>
- Fix DocDir:

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

